# pybackup

A simple backup script written in python. Only for general-purpose.


## Installation

To use ("install") pybackup, just clone the repo with
```shell
git clone <REPO ADDRESS>
```
& copy the `pybackup.py` file into the `/usr/bin` directory. Create a configuration
file anywhere and replace the path to the config in the `pybackup.py` program by
replacing the string after `CONFIGURATION_PATH =`. 

By the way: In the programming language _Python3_, comments are introduced by Hashtags.
So don't be confused when you see too lines apparently showing the same but one
hashtag in the front of the line. 


## How to configure

The configuration file has to be written in a structure like this:

```json
{"locations": [
    {
        "name": "[LOCATION NAME]",
        "path": "[PATH TO FOLDER TO BACKUP]",
        "backup_path": "[PATH TO THE BACKUPS FOLDER]",
        "frequency": 1,
        "versions": 31
    }
]}
```

...where "frequency" describes how often the backup shall be made in days and
"versions" tells how many backups (versions) to keep.

The data format is JSON (JavaScript Object Notation) and it's important
to keep exactly the format given above.


## License

```
This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org/>
```


## Contributing

If you want to support the project, you can either help by programming, making suggestions
or even just by saying "Hey, I found a mistake!" in the "Issues" section.

Every assistance is very welcomed!

